import pygame
import os
import random

class Object:
    def __init__(self,small,pos,scene=None):
        self.small = small
        self.pos = pos
        self.falling = False
        self.scene = scene
    def fall(self):
        self.pos[1]+=2
        midx = self.pos[0]+self.size()[0]//2
        midy = self.pos[1]+self.size()[1]//2
        for p in self.scene.platforms:
            if midx>=p[0] and midx<p[0]+p[2] and midy>=p[1] and midy<p[1]+p[3]:
                self.falling = False
    def draw(self,window,usemid=False):
        if self.falling:
            self.fall()
        if self.small:
            mx,my = self.pos
            if usemid:
                mx = self.pos[0]-self.size()[0]//2
                my = self.pos[1]-self.size()[1]//2
            window.blit(self.small,[mx,my])
    def size(self):
        if self.small:
            return self.small.get_size()
        return [0,0]
    def clickme(self,hand):
        hand.get(self)
    def use(self,hand,o):
        """Use object o on this"""
        print "Trying to use",o,"on",self
    def used_on(self,o):
        return False