import pygame
import os
import random
from object import Object

all_objects = {}

for file in os.listdir("featherlib/obs"):
    if file.endswith(".py"):
        mod =__import__("featherlib.obs."+file.replace(".py",""))
        mod = getattr(getattr(mod,"obs"),file.replace(".py",""))
        for o in dir(mod):
            if not o.startswith("__"):
                ob = getattr(mod,o,None)
                try:
                    if issubclass(ob,Object) and ob != Object:
                        globals()[o] = ob
                        if o not in ["Hand","Parrot","Food","Seeds","ArrowUp","ArrowDown","Sink","Radio","Wifehand","VoiceToggle","Divorce"]:
                            all_objects[o] = ob
                except TypeError:
                    pass